//#region src/components/appointmentBooking/components/Resource/utils.ts
/**
* 滚动到第一个错误卡片
* @param {string} selector - 错误卡片的 class 选择器
*/
const scrollToFirstErrorCard = (selector = ".pisell-lowcode-product-select-resource-error") => {
	setTimeout(() => {
		const errorCard = document.querySelector(selector);
		if (errorCard) errorCard.scrollIntoView({
			behavior: "smooth",
			block: "center"
		});
	}, 0);
};
//#endregion
exports.scrollToFirstErrorCard = scrollToFirstErrorCard;
